package de.intevation.gnv.transition;

import de.intevation.artifactdatabase.Config;

import org.w3c.dom.Node;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public abstract class TransitionBase implements Transition {

    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = -8542097519466477977L;

    private String from = null;

    private String to = null;
    /**
     * Constructor
     */
    public TransitionBase() {
    }

    /**
     * @see de.intevation.gnv.transition.Transition#getFrom()
     */
    public String getFrom() {
        return this.from;
    }

    /**
     * @see de.intevation.gnv.transition.Transition#getTo()
     */
    public String getTo() {
        return this.to;
    }

    /**
     * @see de.intevation.gnv.transition.Transition#setup(org.w3c.dom.Node)
     */
    public void setup(Node configuration) {
      this.from = Config.getStringXPath(configuration,"from/@state");
      this.to = Config.getStringXPath(configuration,"to/@state");
    }

}
